TEST_DOCUMENTS = [
    """
    The **Challenger Disaster** refers to the tragic explosion of the Space Shuttle *Challenger* (OV-099) on January 28, 1986, which led to the deaths of all seven astronauts aboard. The event is one of the most significant tragedies in the history of U.S. space exploration. Here's a detailed chronology of the key events leading up to, during, and following the disaster:

### **Pre-Launch Timeline**

**Late 1985:**
- **Launch preparation** for the *Challenger* mission, designated **STS-51-L**, began several months in advance. The mission was a part of NASA's ongoing shuttle program, aimed at deploying satellites and conducting scientific experiments. 
- The crew was selected in 1985. It included a special crew member, **Christa McAuliffe**, a high school teacher, who was chosen for the **Teacher in Space** program. McAuliffe's inclusion was meant to inspire students and the general public by having an educator aboard the mission.
  
**January 27, 1986 (Day Before Launch):**
- **Unseasonably cold weather** in Florida: Temperatures dropped significantly, reaching as low as 18°F (-7.7°C), which was unusually cold for the region. Concerns about the weather affecting the shuttle's launch grew as engineers at NASA discussed the forecast.
- NASA managers were aware of the cold temperatures but decided to move forward with the launch. Engineers from **Morton Thiokol**, the contractor responsible for the solid rocket boosters (SRBs), raised concerns about the potential effects of the cold on the SRBs' **O-rings**, which sealed joints between segments of the boosters. In extreme cold, these O-rings could lose flexibility and fail to properly seal the joints, potentially leading to catastrophic consequences. Despite these warnings, NASA proceeded with the decision to launch.
""",
"""
### **January 28, 1986: The Day of the Launch**

**7:00 AM (EST):** 
- The **STS-51-L crew** (Commander Francis R. Scobee, Pilot Michael J. Smith, Mission Specialist Ronald McNair, Mission Specialist Ellison Onizuka, Payload Specialist Judith Resnik, and Teacher in Space Christa McAuliffe) arrived at **Kennedy Space Center**. They completed the pre-launch activities and were then taken to the launch pad in the **NASA crew bus**.

**10:30 AM (EST):**
- **Countdown begins:** Despite engineers’ concerns, NASA proceeded with the final stages of the countdown. At this point, the weather was still cold, but the launch was proceeding as planned.
- The decision to launch was made after a meeting in which engineers from Morton Thiokol voiced their concerns, but the managers were eager to maintain the schedule. 

**11:38 AM (EST) – Launch:**
- **Launch of the Space Shuttle Challenger:** The shuttle lifted off from **Launch Complex 39B** at **Kennedy Space Center**, carrying seven crew members and a payload of scientific experiments, including a communications satellite.
- The shuttle’s SRBs ignited as planned, providing the necessary thrust for the vehicle. Initially, the flight appeared normal.
""",
"""
### **73 Seconds After Launch:**

**11:39 AM (EST):**
- **Disaster strikes:** 
   - At **73 seconds after liftoff**, the *Challenger* exploded in a catastrophic event. A plume of smoke and debris erupted from the side of the vehicle, and the shuttle quickly broke apart in mid-air.
   - The cause of the explosion was traced to the failure of the SRBs’ O-rings, which were compromised by the cold weather. The failure of these seals allowed hot gases from the boosters to escape, eventually leading to the structural failure of the SRB aft field joint attachment. This caused the SRBs to break apart, and the resulting damage led to the explosion of the **External Fuel Tank** filled with liquid oxygen and liquid hydrogen.
  
   - The explosion killed all seven astronauts aboard:
     - **Francis R. Scobee** (Commander)
     - **Michael J. Smith** (Pilot)
     - **Ronald McNair** (Mission Specialist)
     - **Ellison Onizuka** (Mission Specialist)
     - **Judith Resnik** (Mission Specialist)
     - **Christa McAuliffe** (Payload Specialist / Teacher in Space)
     - **Greg Jarvis** (Payload Specialist)

   - The shuttle's crew perished, but remarkably, the crew members' families were informed almost immediately. 
""",
"""
### **Post-Disaster Investigation and Findings**

**January 28, 1986 - February 1986:**
- **Search and recovery efforts:** In the days following the disaster, the **U.S. Navy** and **NASA** conducted extensive search and recovery efforts in the Atlantic Ocean. Wreckage from the shuttle was scattered over a wide area.
  
- **President Ronald Reagan's Address:**
  - On the evening of January 28, 1986, President Reagan delivered a televised address to the American people. He expressed his deep sorrow over the tragedy, and his speech included the famous line: "The Challenger crew has tragically been lost."
  
**February 1986 – March 1986:**
- **The Rogers Commission:** In response to the disaster, President Reagan established the **Rogers Commission** to investigate the cause of the explosion. The commission was chaired by **William P. Rogers**, a former U.S. Attorney General, and included several prominent figures such as physicist **Richard Feynman**.
  
  - The commission's investigation revealed that the **O-rings failure** due to cold temperatures was the primary cause of the disaster. Additionally, the commission found that **NASA's management** failed to adequately address concerns raised by engineers and contractors before the launch, prioritizing the schedule over safety considerations.
  
- **Key Findings:**
   - The **O-rings** were not designed to handle the extreme cold temperatures that occurred on the day of the launch.
   - **Pressure to meet deadlines** and the **desire to proceed with the launch** led to NASA ignoring engineering concerns.
   - The commission made several recommendations to improve safety protocols and decision-making processes within NASA to prevent a similar disaster from occurring in the future.

**1987-1988:**
- **Changes at NASA:** As a result of the disaster and the Rogers Commission’s findings, significant changes were made in NASA’s safety and decision-making procedures. One of the major recommendations was the need for a **more rigorous review** of any potential risks before launching, and the implementation of a **more transparent process** where dissenting voices within the organization could be heard.
  
- **Return to Space:** NASA’s next shuttle mission, **STS-26**, launched in September 1988, with the shuttle **Discovery**, marking the return of the space shuttle program after a 32-month hiatus.
""",
"""
### **Legacy and Impact**

- **Memorials and Tributes:**
  - The **Challenger Memorial** was established at the Kennedy Space Center Visitor Complex in honor of the astronauts who perished. 
  - Several educational programs, including the **Challenger Center for Space Science Education**, were created in memory of the crew, particularly Christa McAuliffe.

- **Increased Awareness of Safety:** The Challenger disaster resulted in an intense focus on safety, engineering practices, and oversight of space exploration programs, and it contributed to changes in how NASA handles risk management.

- **Cultural Impact:** The Challenger tragedy left a lasting impression on American society, leading to a broader understanding of the inherent risks of space exploration. The event was covered extensively in the media, and the images of the shuttle's explosion remain a powerful symbol of both the potential for human achievement and the fragility of human life.

The **Challenger Disaster** serves as a sobering reminder of the risks involved in space exploration and has shaped space policy and safety procedures in the decades since.
""",
"""The **Apollo 11 Mission** was the first successful crewed mission to land on the Moon, marking a historic achievement for humanity. The mission's primary goal was to land a man on the Moon and safely return him to Earth, as part of NASA's Apollo program. Here is a detailed chronology of key events, focusing on the **Apollo 11 Lunar Landing** and the subsequent re-ascent with the Command Module.

---

### **Pre-Launch & Early Mission Events**

**July 16, 1969:**
- **Launch of Apollo 11**: The mission launched from **Kennedy Space Center**, Florida, at 9:32 AM EDT aboard the **Saturn V rocket**. The spacecraft consisted of three main parts: the **Command Module (CM)**, **Lunar Module (LM)**, and the **Service Module (SM)**.
- The crew included:
  - **Neil Armstrong** (Commander)
  - **Buzz Aldrin** (Lunar Module Pilot)
  - **Michael Collins** (Command Module Pilot)

- The rocket’s **first stage** provided the initial thrust, followed by stage separation, and the spacecraft continued its journey toward the Moon, aided by the **third stage** of the Saturn V.

---
""",
"""
### **Lunar Arrival and Orbit Insertion**

**July 19, 1969 (Arrival at the Moon):**
- The Apollo 11 spacecraft successfully entered **lunar orbit** after a **Translunar Injection (TLI)** burn.
- The **Command Module (CM)**, carrying Michael Collins, remained in lunar orbit, while **Armstrong** and **Aldrin** prepared for their descent to the lunar surface in the **Lunar Module (LM)**.

**July 20, 1969 – Lunar Descent:**

**1:00 PM EDT (LM Separation from CM):**
- Armstrong and Aldrin entered the **Lunar Module (LM)**, called **Eagle**, and separated from the **Command Module (Columbia)**, piloted by Michael Collins.
  
**1:11 PM EDT (Lunar Module Descent Begins):**
- The **Lunar Module** began its descent toward the Moon's surface. The LM was piloted by Neil Armstrong, with Buzz Aldrin assisting with systems and navigation.
  
**1:25 PM EDT (Landing Site Confirmed):**
- Armstrong manually piloted the **Lunar Module**, as the original landing site was found to be unsuitable due to boulders and other hazards. Armstrong guided the LM toward a safer area on the Sea of Tranquility, a relatively flat and smooth region of the lunar surface.
  
**1:46 PM EDT – Touchdown on the Moon:**
- **"The Eagle has landed."** Neil Armstrong reported the successful landing. The Lunar Module touched down on the surface of the Moon after a controlled descent.
- The crew performed a final checklist and confirmed the spacecraft's stability.

**2:00 PM EDT – First Steps on the Moon:**
- **Neil Armstrong** became the first human to set foot on the Moon, stepping down onto the surface at 10:56 PM UTC (2:56 PM EDT), saying the famous words: **“That’s one small step for [a] man, one giant leap for mankind.”**
- **Buzz Aldrin** followed shortly, becoming the second human to walk on the lunar surface. The two spent approximately **2 hours and 15 minutes** on the surface, collecting samples, taking photographs, and deploying scientific instruments, including:
  - A **seismometer**
  - An **American flag**
  - A **retroreflector** for laser measurements
  
**2:45 PM EDT – Moonwalk Ends:**
- The astronauts returned to the Lunar Module, where they sealed the hatch and prepared to re-ascent back to lunar orbit.

---
""",
"""
### **Re-Ascent and Return to the Command Module**

**4:35 PM EDT – Lunar Module Ascent:**
- After concluding their activities on the lunar surface, Armstrong and Aldrin began the **re-ascent** phase. They fired the **Lunar Module ascent stage** engine to lift off from the Moon's surface and begin their journey back to the Command Module in lunar orbit.
- **Neil Armstrong** piloted the LM during ascent, and Aldrin assisted with navigation and systems.

**5:05 PM EDT – Docking with the Command Module:**
- After a successful ascent, the Lunar Module was rendezvoused with the **Command Module (CM)**, where **Michael Collins** was awaiting the astronauts in lunar orbit. The **Lunar Module** docked with the **Command Module Columbia**, and Armstrong and Aldrin transferred into the Command Module.

**6:00 PM EDT – Lunar Module Separation:**
- The **Lunar Module (LM)** was jettisoned after the astronauts were safely aboard the **Command Module**. The **LM's ascent stage** remained in lunar orbit, while the Command Module with all three astronauts aboard began the journey back to Earth.

---
""",
"""
### **Journey Back to Earth and Splashdown**

**July 24, 1969 – Re-entry and Splashdown:**
- After completing the trans-Earth injection burn to leave lunar orbit, Apollo 11 followed its trajectory back to Earth.
  
**11:00 AM EDT – Command Module Re-entry:**
- The **Command Module** re-entered the Earth's atmosphere at **25,000 miles per hour** (about 40,000 km/h). The heat shield protected the spacecraft during re-entry, which produced a significant amount of heat and light.
  
**11:45 AM EDT – Splashdown in the Pacific Ocean:**
- The Apollo 11 **Command Module** successfully splashed down in the **Pacific Ocean**, approximately **812 nautical miles** southwest of Hawaii. The spacecraft was immediately recovered by the USS **Hornet**, an aircraft carrier, which had been stationed in the recovery zone.
  
- **Neil Armstrong**, **Buzz Aldrin**, and **Michael Collins** were retrieved from the spacecraft and brought aboard the USS Hornet for medical examination and quarantine.

---
""",
"""
### **Post-Mission:**

**Quarantine and Celebrations:**
- The astronauts underwent a period of quarantine to ensure they had not brought back any potential lunar pathogens. Although no biological threats were found, the quarantine was a precautionary measure based on the knowledge of space travel at the time.
  
- Following quarantine, the astronauts returned to the United States and participated in a **worldwide tour**, where they were hailed as heroes and celebrated by millions. They met with heads of state, including President Richard Nixon, and received numerous awards and honors.

---

### **Legacy of the Apollo 11 Mission:**
- The **Apollo 11 mission** is considered one of the most significant events in human history, marking the first time humans set foot on another celestial body. The mission demonstrated the potential of space exploration and highlighted the achievements of the space program.
  
- Neil Armstrong's famous words, **“That’s one small step for [a] man, one giant leap for mankind,”** have remained a defining moment in the history of human exploration.

The success of Apollo 11 paved the way for further lunar exploration under the **Apollo program**, though no other missions landed on the Moon after Apollo 17 in 1972. Nonetheless, the legacy of Apollo 11 remains central to humanity’s aspirations in space.
"""
]